# $Revision: 1.19 $, $Date: 2004/04/26 19:21:00 $
Summary:	word2x convert word 6 documents to another format
Summary(pl):	Konwerter dokumentw MS Worda 6 do innych formatw
Name:		word2x
Version:	0.005
Release:	5
License:	GPL
Vendor:		Duncan Simpson <dps@io.stargate.co.uk>
Group:		Applications/Text
Source0:	http://word2x.alcom.co.uk/download/%{name}-%{version}.tar.gz
# Source0-md5:	50113e81b9f0e81d55cee1da6eea0f02
Patch0:		%{name}-opt.patch
Patch1:		%{name}-gcc3.patch
URL:		http://word2x.alcom.co.uk/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
word2x is a program that attempts to produce a component, if not
perfect rendition of a word 6 document. It guesses rather a lot from
context and can make mistakes.

%description -l pl
word2x jest programem, ktry prbuje zrobi kompletny, jeeli nie
doskonay obraz dokumentu Worda 6. Program opiera si bardziej na
zgadywaniu z kontekstu i moe robi bdy.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
chmod u+w *
cp -f /usr/share/automake/config.* .
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%{__aclocal}
%{__autoconf}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install word2x rtest2 $RPM_BUILD_ROOT%{_bindir}
install word2x.1 $RPM_BUILD_ROOT%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README INTERNALS
%attr(755, root, root) %{_bindir}/word2x
%attr(755, root, root) %{_bindir}/rtest2
%{_mandir}/man1/word2x.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: word2x.spec,v $
Revision 1.19  2004/04/26 19:21:00  adamg
- release 5 for Ac (4 is for Ra)

Revision 1.18  2003/05/28 13:02:57  malekith
- massive attack: source-md5

Revision 1.17  2003/05/25 06:28:01  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.16  2002/10/12 11:45:26  kloczek
- release 4.

Revision 1.15  2002/10/12 11:30:55  qboosh
- refresh config.* (for athlon)
- fixed build with gcc 3.2 (gcc3 patch)

Revision 1.14  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.13  2002/07/04 11:57:50  kloczek
- use new %doc.

Revision 1.12  2002/05/21 23:15:03  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/02/22 23:30:00  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/02/01 00:01:52  ankry
- added Group(fr)

Revision 1.9  2002/01/18 02:15:25  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.8  2001/10/11 10:31:29  qboosh
- BuildRequires: autoconf, automake

Revision 1.7  2001/09/17 15:24:41  blues
- release 3
- ac2.5 ready
- ugly permisions workaround

Revision 1.6  2001/05/03 01:14:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2001/01/25 20:03:52  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.4  2001/01/10 00:55:02  qboosh
- cleanup (removed 2 previously commented out lines)

Revision 1.3  2001/01/09 17:52:21  qboosh
- release 2:
- use RPM_OPT_FLAGS

Revision 1.2  2000/06/09 07:55:16  kloczek
- more %%{__make} macros.

Revision 1.1  2000/05/09 19:59:58  baggins
- new, PLD compliant package

* Wed Mar 15 2000 Peter Soos <sp@osb.hu>
- Moved to the version 0.005

* Thu Jun 17 1999 Peter Soos <sp@osb.hu>
- Moved to the version 0.004

* Sat Dec 19 1998 Peter Soos <sp@osb.hu>
- Moved to the version 0.003

* Sun Sep 06 1998 Peter Soos <sp@osb.hu>
- Moved to the version 0.002 released at Aug 23 1998

* Sun Jun 28 1998 Peter Soos <sp@osb.hu>
- Moved to the version released at Apr 21 1998
